#' Region Codes for Mexico Dataset.
#'
#' @description Details of the region codes used for the Mexico dataset.
#' @return A nested tibble of region codes and related information.
"mexico_codes"

#' Region Codes for UK Dataset.
#'
#' @description The uk authority look table for providing region codes used for
#' level 2 UK data.
#' @return A tibble of region codes and related information.
"uk_codes"

#' Region Codes for Colombia Dataset.
#'
#' @description The region codes for Colombia
#' @return A tibble of region codes and related information.
"colombia_codes"

#' Region Codes for Lithuania Dataset.
#'
#' @description The region codes for Lithuania
#' @return A tibble of region codes and related information,
#' including ISO 3166:2 codes for counties (apskritis)
#' and municipalities (savivaldybe), and noting which
#' municipalities are city municipalities or regional
#' municipalities.
"lithuania_codes"

#' Region Codes for France Dataset.
#'
#' @description The region codes for France
#' @return A tibble of region codes and related information.
"france_codes"

#' Region Codes for JHU Dataset. Taken from the region codes provided as
#' part of the WHO dataset.
#'
#' @description The region codes for JHU
#' @return A tibble of region codes and related information.
"JHU_codes"

#' Table of available datasets along with level and other information.
#' Rendered from the individual R6 class objects included in this package.
#'
#' @description Available datasets
#' @concept utility
#' @return A tibble of available datasets and related information.
"all_country_data"
